commit:     5e76b682329ae47e71affde1d99d11d3a3735aa3
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 19 11:04:49 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Jul 19 11:15:35 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e76b682

app-emulation/lxc: bump to 4.0.10

 - 'seccomp' USE flag added back.

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-emulation/lxc/Manifest          |   2 +
 app-emulation/lxc/lxc-4.0.10.ebuild | 173 ++++++++++++++++++++++++++++++++++++
 2 files changed, 175 insertions(+)

diff --git a/app-emulation/lxc/Manifest b/app-emulation/lxc/Manifest
index 631ae5ca39e..a389e2a00dd 100644
--- a/app-emulation/lxc/Manifest
+++ b/app-emulation/lxc/Manifest
@@ -1,3 +1,5 @@
+DIST lxc-4.0.10.tar.gz 1515002 BLAKE2B 
2a5b94ad767c8a11a5c34d19f12d812bd284337045ad5021c80a5f69be608085ac465edde8c385cc558e45638c9f061793c0c9db616ccbe0614554b4fbf62005
 SHA512 
ec3ccf344a91b50b30985562c54ad93d2db2d29c24d31da8e3a69e801c8bd23c1560274c1850c39eb7e984940ba86d3ebae75db136320d6bbc5eb03bda4c5318
+DIST lxc-4.0.10.tar.gz.asc 833 BLAKE2B 
3dd6e8793d1b725ab9eb73d4fa78ce2767bf830fb70d6cc7052e70d2adbc46e4fcf6d986595322b64cb9c71417b801ef6ee3c7612c46dbeb10acba01a5bd69e0
 SHA512 
dd2d3ac4e066eca4e0358c9a2c371a227d3a0b5cf6e452fe34fa5c8cff46e25fa0555c9f707511a8603348fa969c1e7abf85ad7d27fdcaff613b733066861608
 DIST lxc-4.0.6.tar.gz 1363162 BLAKE2B 
e2d9d281cf521575aeecefbcba0c7b7f336ab73193be94e760b37eb6f3423ec3520f194549def6f64c1662f22b7df5a03dfc6b4e6dac1bf229c5f726f51b4d43
 SHA512 
98514796ef2091a291516ed7fde737df07ccfe374a0f8b4314e0ee992837e98ed02aa9f7809f8808a2f5ee1c7ae2dcea163531cdaedbb577211eeb9beff90c15
 DIST lxc-4.0.6.tar.gz.asc 833 BLAKE2B 
04b6bda0ed52a6ab8eebde4d3d5f1f6cb19eea017ae989d47323831d467324f99801b40c3bb70f00d7521753a298e6fa339f0da039c4d72b0163d0efc815d7e7
 SHA512 
baeafa5b63034e2884d5ab4f11710612bed1c61cd493ac19b9b24b93365b89325518b69878015b4b752f71beda47ecabf774b698e6be9ec9aa86376df2c302db
 DIST lxc-4.0.9.tar.gz 1500310 BLAKE2B 
3796d36b6f76ec595dc28207e66ec9f5a7c1a39f5c5ebc851638c519be35f59b4ec06a71b2866cd8fef0a6140f61fd4b70c900f5a8ffd42d7da7a30d3ff59975
 SHA512 
4ef9d9efdd4118fdffde8b49c6ae71cf5eb060be51daaa4f4ceb804c743fbf3278e6518e6a694faefc720f2834f98ac48d67842d589a2120b8f7ec4c3b61fa84

diff --git a/app-emulation/lxc/lxc-4.0.10.ebuild 
b/app-emulation/lxc/lxc-4.0.10.ebuild
new file mode 100644
index 00000000000..a2fdef11931
--- /dev/null
+++ b/app-emulation/lxc/lxc-4.0.10.ebuild
@@ -0,0 +1,173 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools bash-completion-r1 linux-info flag-o-matic optfeature pam 
readme.gentoo-r1 systemd verify-sig
+
+DESCRIPTION="A userspace interface for the Linux kernel containment features"
+HOMEPAGE="https://linuxcontainers.org/ https://github.com/lxc/lxc";
+SRC_URI="https://linuxcontainers.org/downloads/lxc/${P}.tar.gz
+       verify-sig? ( https://linuxcontainers.org/downloads/lxc/${P}.tar.gz.asc 
)"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+LICENSE="LGPL-3"
+SLOT="0"
+IUSE="apparmor +caps doc man pam seccomp selinux +ssl +tools verify-sig"
+
+RDEPEND="acct-group/lxc
+       acct-user/lxc
+       app-misc/pax-utils
+       sys-apps/util-linux
+       sys-libs/libcap
+       virtual/awk
+       caps? ( sys-libs/libcap )
+       pam? ( sys-libs/pam )
+       seccomp? ( sys-libs/libseccomp )
+       selinux? ( sys-libs/libselinux )
+       ssl? (
+               dev-libs/openssl:0=
+       )"
+DEPEND="${RDEPEND}
+       >=sys-kernel/linux-headers-4
+       apparmor? ( sys-apps/apparmor )"
+BDEPEND="doc? ( app-doc/doxygen )
+       man? ( app-text/docbook-sgml-utils )
+       verify-sig? ( app-crypt/openpgp-keys-linuxcontainers )"
+
+CONFIG_CHECK="~!NETPRIO_CGROUP
+       ~CGROUPS
+       ~CGROUP_CPUACCT
+       ~CGROUP_DEVICE
+       ~CGROUP_FREEZER
+
+       ~CGROUP_SCHED
+       ~CPUSETS
+       ~IPC_NS
+       ~MACVLAN
+
+       ~MEMCG
+       ~NAMESPACES
+       ~NET_NS
+       ~PID_NS
+
+       ~POSIX_MQUEUE
+       ~USER_NS
+       ~UTS_NS
+       ~VETH"
+
+ERROR_CGROUP_FREEZER="CONFIG_CGROUP_FREEZER: needed to freeze containers"
+ERROR_MACVLAN="CONFIG_MACVLAN: needed for internal (inter-container) 
networking"
+ERROR_MEMCG="CONFIG_MEMCG: needed for memory resource control in containers"
+ERROR_NET_NS="CONFIG_NET_NS: needed for unshared network"
+ERROR_POSIX_MQUEUE="CONFIG_POSIX_MQUEUE: needed for lxc-execute command"
+ERROR_UTS_NS="CONFIG_UTS_NS: needed to unshare hostnames and uname info"
+ERROR_VETH="CONFIG_VETH: needed for internal (host-to-container) networking"
+
+DOCS=( AUTHORS CONTRIBUTING MAINTAINERS NEWS README doc/FAQ.txt )
+
+pkg_setup() {
+       linux-info_pkg_setup
+}
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.0.0-bash-completion.patch
+       "${FILESDIR}"/${PN}-2.0.5-omit-sysconfig.patch # bug 558854
+)
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/linuxcontainers.asc
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       append-flags -fno-strict-aliasing
+
+       local myeconfargs=(
+               --bindir=/usr/bin
+               --localstatedir=/var
+               --sbindir=/usr/bin
+
+               --with-config-path=/var/lib/lxc
+               --with-distro=gentoo
+               --with-init-script=systemd
+               --with-rootfs-path=/var/lib/lxc/rootfs
+               --with-runtime-path=/run
+               --with-systemdsystemunitdir=$(systemd_get_systemunitdir)
+
+               --disable-coverity-build
+               --disable-dlog
+               --disable-fuzzers
+               --disable-mutex-debugging
+               --disable-no-undefined
+               --disable-rpath
+               --disable-sanitizers
+               --disable-tests
+               --disable-werror
+
+               --enable-bash
+               --enable-commands
+               --enable-memfd-rexec
+               --enable-thread-safety
+
+               $(use_enable apparmor)
+               $(use_enable caps capabilities)
+               $(use_enable doc api-docs)
+               $(use_enable doc examples)
+               $(use_enable man doc)
+               $(use_enable pam)
+               $(use_enable seccomp)
+               $(use_enable selinux)
+               $(use_enable ssl openssl)
+               $(use_enable tools)
+
+               $(use_with pam pamdir $(getpam_mod_dir))
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       mv "${ED}"/usr/share/bash-completion/completions/${PN} 
"${ED}"/$(get_bashcompdir)/${PN}-start || die
+       bashcomp_alias ${PN}-start \
+               
${PN}-{attach,cgroup,copy,console,create,destroy,device,execute,freeze,info,monitor,snapshot,stop,unfreeze,wait}
+
+       keepdir /etc/lxc /var/lib/lxc/rootfs /var/log/lxc
+       rmdir "${D}"/var/cache/lxc "${D}"/var/cache || die "rmdir failed"
+
+       find "${D}" -name '*.la' -delete -o -name '*.a' -delete || die
+
+       # Gentoo-specific additions!
+       newinitd "${FILESDIR}/${PN}.initd.8" ${PN}
+
+       # Remember to compare our systemd unit file with the upstream one
+       # config/init/systemd/lxc.service.in
+       systemd_newunit "${FILESDIR}"/${PN}_at.service.4.0.0 "[email protected]"
+
+       DOC_CONTENTS="
+               For openrc, there is an init script provided with the package.
+               You should only need to symlink /etc/init.d/lxc to
+               /etc/init.d/lxc.configname to start the container defined in
+               /etc/lxc/configname.conf.
+
+               Correspondingly, for systemd a service file [email protected] is 
installed.
+               Enable and start lxc@configname in order to start the container 
defined
+               in /etc/lxc/configname.conf."
+       DISABLE_AUTOFORMATTING=true
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+
+       elog "Please run 'lxc-checkconfig' to see optional kernel features."
+       elog
+       optfeature "automatic template scripts" app-emulation/lxc-templates
+       optfeature "Debian-based distribution container image support" 
dev-util/debootstrap
+       optfeature "snapshot & restore functionality" sys-process/criu
+}

Reply via email to